import * as MC from '@minecraft/server';
import * as UI from '@minecraft/server-ui';

MC.world.afterEvents.itemUse.subscribe(evd => {
  const Item = evd.itemStack;
  const player = evd.source;
  if (evd.itemStack.typeId == 'minecraft:name_tag') {
    let EasyNameTagUi = new UI.ModalFormData();
    EasyNameTagUi.title('Easy Name Tag')
    EasyNameTagUi.textField('Enter new name: ', 'Name')
    EasyNameTagUi.show(evd.source).then((res) => {
    	if (res.canceled) return;
        let __NAME_TAG__ = res.formValues[0]
        evd.itemStack.nameTag = __NAME_TAG__;
        evd.source.getComponent('minecraft:inventory').container.setItem(evd.source.selectedSlot, evd.itemStack);
    })
  }
})